"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const class_validator_1 = require("class-validator");
const swagger_1 = require("@nestjs/swagger");
class AuthCredentialsDto {
}
tslib_1.__decorate([
    swagger_1.ApiModelProperty(),
    tslib_1.__metadata("design:type", String)
], AuthCredentialsDto.prototype, "name", void 0);
tslib_1.__decorate([
    swagger_1.ApiModelProperty(),
    class_validator_1.IsNotEmpty(),
    class_validator_1.IsString(),
    class_validator_1.IsEmail(),
    tslib_1.__metadata("design:type", String)
], AuthCredentialsDto.prototype, "email", void 0);
tslib_1.__decorate([
    swagger_1.ApiModelProperty(),
    class_validator_1.IsNotEmpty(),
    class_validator_1.MinLength(8),
    class_validator_1.MaxLength(20),
    class_validator_1.Matches(/(?=.*[0-9]).*$/, { message: `The string must contain at least 1 numeric character` }),
    class_validator_1.Matches(/(?=.[!@#\$%\^&]).*$/, { message: `The string must contain at least one special character` }),
    tslib_1.__metadata("design:type", String)
], AuthCredentialsDto.prototype, "password", void 0);
exports.AuthCredentialsDto = AuthCredentialsDto;
//# sourceMappingURL=auth-credentials.dto.js.map