import { JwtService } from '@nestjs/jwt';
import { AuthCredentialsDto } from '../dto';
import { UserRepository } from '../repositories/user.repository';
export declare class AuthService {
    private userRepository;
    private jwtService;
    constructor(userRepository: UserRepository, jwtService: JwtService);
    login(authCredentials: AuthCredentialsDto): Promise<{
        token: string;
    }>;
    register(authCredentials: AuthCredentialsDto): Promise<void>;
}
