import { User } from '../entities/user.entity';
import { UserRepository } from '../repositories/user.repository';
import { AuthCredentialsDto } from '../dto';
export declare class UserService {
    private userRepository;
    constructor(userRepository: UserRepository);
    findByEmail(email: string): Promise<User>;
    findById(id: number): Promise<User>;
    register(authCredentials: AuthCredentialsDto): Promise<void>;
}
