import { Repository } from 'typeorm';
import { User } from '../entities';
import { AuthCredentialsDto } from '../dto';
export declare class UserRepository extends Repository<User> {
    register(authCredentials: AuthCredentialsDto): Promise<void>;
    validatePassword(authCredentials: AuthCredentialsDto): Promise<string>;
    private hashPassword;
}
