import { JwtPayload } from '../interfaces/jwt-payload.interface';
import { UserRepository } from '../repositories/user.repository';
import { User } from '../entities';
import { AuthOptions } from '../interfaces/auth-options.interface';
declare const JwtStrategy_base: new (...args: any[]) => any;
export declare class JwtStrategy extends JwtStrategy_base {
    private userRepository;
    constructor(userRepository: UserRepository, authOptions: AuthOptions);
    validate(payload: JwtPayload): Promise<User>;
}
export {};
